## open-infrastructure-compute-tools 20190301

=== Makefile ===
# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT = open-infrastructure
SOFTWARE = compute-tools
PROGRAM = container

SCRIPTS = bin/* lib/*/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@echo -n "Checking for bashisms"

	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi

	@echo " done."

build: share/man/*.txt
	$(MAKE) -C share/man

	sed -n '/^NAME/,$$p' share/man/$(SOFTWARE).7.txt > README.txt

install: build
	mkdir -p $(DESTDIR)/etc/$(PROJECT)/$(PROGRAM)/config
	mkdir -p $(DESTDIR)/etc/$(PROJECT)/$(PROGRAM)/debconf
	mkdir -p $(DESTDIR)/etc/$(PROJECT)/$(PROGRAM)/hooks

	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/lib/$(PROJECT)
	cp -r lib/* $(DESTDIR)/usr/lib/$(PROJECT)

	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
	cp -r VERSION.txt $(DESTDIR)/usr/share/$(PROJECT)/${PROGRAM}
	cp -r share/config share/hooks share/scripts $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)

	mkdir -p $(DESTDIR)/usr/share/bash-completion/completions
	cp -r share/bash-completion/* $(DESTDIR)/usr/share/bash-completion/completions

	mkdir -p $(DESTDIR)/etc/logrotate.d
	cp -r share/logrotate/* $(DESTDIR)/etc/logrotate.d

	mkdir -p $(DESTDIR)/etc/sysctl.d
	cp -r share/procps/* $(DESTDIR)/etc/sysctl.d

	mkdir -p $(DESTDIR)/etc/sudoers.d
	cp -r share/sudo/* $(DESTDIR)/etc/sudoers.d
	chmod 0440 $(DESTDIR)/etc/sudoers.d/*

	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -r CHANGELOG.txt LICENSE.txt README.txt share/doc/* $(DESTDIR)/usr/share/doc/$(SOFTWARE)

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

	ln -sf container $(DESTDIR)/usr/bin/cnt
	ln -sf container.1 $(DESTDIR)/usr/share/man/man1/cnt.1
	ln -sf container-shell $(DESTDIR)/usr/bin/cntsh
	ln -sf container-shell.1 $(DESTDIR)/usr/share/man/man1/cntsh.1
	ln -sf container $(DESTDIR)/usr/share/bash-completion/completions/cnt

	ln -sf debconf $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)/scripts/debian
	ln -sf debconf.d $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)/scripts/debian.d
	ln -sf container-create-debconf.1 $(DESTDIR)/usr/share/man/man1/container-create-debian.1
	ln -sf debconf $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)/scripts/progress-linux
	ln -sf debconf.d $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)/scripts/progress-linux.d
	ln -sf container-create-debconf.1 $(DESTDIR)/usr/share/man/man1/container-create-progress-linux.1
	ln -sf debootstrap $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)/scripts/mmdebstrap
	ln -sf container-create-debootstrap.1 $(DESTDIR)/usr/share/man/man1/container-create-mmdebstrap.1

	ln -sf create $(DESTDIR)/usr/lib/$(PROJECT)/$(PROGRAM)/cr
	ln -sf list $(DESTDIR)/usr/lib/$(PROJECT)/$(PROGRAM)/ls
	ln -sf move $(DESTDIR)/usr/lib/$(PROJECT)/$(PROGRAM)/mv
	ln -sf remove $(DESTDIR)/usr/lib/$(PROJECT)/$(PROGRAM)/rm
	ln -sf restart $(DESTDIR)/usr/lib/$(PROJECT)/$(PROGRAM)/rs
	ln -sf start $(DESTDIR)/usr/lib/$(PROJECT)/$(PROGRAM)/s
	ln -sf status $(DESTDIR)/usr/lib/$(PROJECT)/$(PROGRAM)/st
	ln -sf stop $(DESTDIR)/usr/lib/$(PROJECT)/$(PROGRAM)/t

	mkdir -p $(DESTDIR)/lib/systemd/system
	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system

	mkdir -p $(DESTDIR)/var/log/$(PROJECT)

uninstall:
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/var/log/$(PROJECT) || true

	for FILE in share/systemd/*; \
	do \
		rm -f $(DESTDIR)/lib/systemd/system/$$(basename $${FILE}); \
	done

	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -f $(DESTDIR)/usr/bin/cnt
	rm -f $(DESTDIR)/usr/share/man/man1/cnt.1
	rm -f $(DESTDIR)/usr/bin/cntsh
	rm -f $(DESTDIR)/usr/share/man/man1/cntsh.1
	rm -f $(DESTDIR)/usr/share/bash-completion/completions/cnt
	rm -f $(DESTDIR)/usr/share/man/man1/container-create-debian.1
	rm -f $(DESTDIR)/usr/share/man/man1/container-create-progress-linux.1
	rm -f $(DESTDIR)/usr/share/man/man1/container-create-mmdebstrap.1

	for FILE in share/sudo/*; \
	do \
		rm -f $(DESTDIR)/etc/sudoers.d/$$(basename $${FILE}); \
	done

	for FILE in share/procps/*; \
	do \
		rm -f $(DESTDIR)/etc/sysctl.d/$$(basename $${FILE}); \
	done

	for FILE in share/logrotate/*; \
	do \
		rm -f $(DESTDIR)/etc/logrotate.d/$$(basename $${FILE}); \
	done

	for FILE in share/bash-completion/*; \
	do \
		rm -f $(DESTDIR)/usr/share/bash-completion/completions/$$(basename $${FILE}); \
	done

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc || true

	rm -rf $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share || true

	rm -rf $(DESTDIR)/usr/lib/$(PROJECT)/$(PROGRAM)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/lib || true

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(PROJECT)/$(PROGRAM)/config || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(PROJECT)/$(PROGRAM)/debconf || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(PROJECT)/$(PROGRAM)/hooks || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(PROJECT)/$(PROGRAM) || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(PROJECT) || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:
	$(MAKE) -C share/man clean

	rm -f README.txt

distclean:

reinstall: uninstall install

=== share/man/Makefile ===
# Makefile

# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Depends: asciidoc dblatex docbook-xsl libxml2-utils source-highlight

A2X = a2x \
	--asciidoc-opts "-a revdate=$(shell cat ../../VERSION.txt)" \
	--doctype=manpage

SHELL := sh -e

all: build

clean:
	rm -f *.[0-9]
	rm -f *.xml

build: man

rebuild: clean build

man: *.txt
	for FILE in *.txt; \
	do \
		$(A2X) --format=manpage $${FILE}; \
	done

.PHONY: all clean build rebuild man

## open-infrastructure-compute-tools 20190301-lts1

=== debian/changelog ===
open-infrastructure-compute-tools (20190301-lts1-2) unstable; urgency=medium

  * Uploading to sid.
  * Adding removal of previously forgotten mmdebstrap alternative to not
    leave cruft behind after package removal, thanks to Andreas Beckmann
    <anbe@debian.org> (Closes: #924092).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 19 Mar 2019 21:24:38 +0100

open-infrastructure-compute-tools (20190301-lts1-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301-lts1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 11:51:51 +0100

open-infrastructure-compute-tools (20190301-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301.
  * Updating packaging for curl script removal.
  * Adding mmdebstrap to alternative handling.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 11:32:37 +0100

open-infrastructure-compute-tools (20190222-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190222.
  * Updating news entry with backwarts incompatible changes for this
    upstream version (FIXME).
  * Updating paths in packaging for new upstream version.
  * Updating copyright file for new upstream.
  * Updating watch file for new upstream.
  * Updating upstream signing-key.
  * Removing pre-buster alternative depends in control, not needed
    anymore.
  * Removing source local-options, not needed anymore.
  * Adding upload target note in previous changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 23 Feb 2019 17:09:11 +0100

open-infrastructure-compute-tools (20180825-3) unstable; urgency=medium

  * Uploading to sid.
  * Adding enhances for systemd-container.
  * Updating to standards version 4.3.0.
  * Updating vcs fields.
  * Updating year in copyright for 2019.
  * Updating to debhelper 12.
  * Using spaces instead of tabs in NEWS file.
  * Using build-depends to specify debhelper compatibility.
  * Repeating Section for binary packages in control.
  * Renaming source package to open-infrastructure-compute-tools for
    consistency and future-proofing.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Feb 2019 10:06:16 +0100

open-infrastructure-container-tools (20180825-2) unstable; urgency=medium

  * Uploading to sid.
  * Updating German debconf translations, thanks to Markus Hiereth
    <translation@hiereth.de> (Closes: #905709).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Aug 2018 11:14:04 +0200

open-infrastructure-container-tools (20180825-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180825.
  * Updating to standards version 4.2.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 30 Aug 2018 15:05:03 +0200

open-infrastructure-container-tools (20180527-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180527.
  * Fixing variable style in postrm script.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 27 May 2018 20:58:29 +0200

open-infrastructure-container-tools (20180503-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180503.
  * Updating to standards-version 4.1.4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 03 May 2018 12:49:45 +0200

open-infrastructure-container-tools (20180218-2) unstable; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file.
  * Also adding --no-restart-after-upgrade to dh_installsystemd to avoid
    containers being rebooted on package upgrades (default changed with
    debhelper 11).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Mar 2018 16:12:17 +0100

open-infrastructure-container-tools (20180218-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180218.
  * Updating rules to use dh_installsystemd instead of dh_systemd_start.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 18 Feb 2018 16:13:14 +0100

open-infrastructure-container-tools (20180118-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180118.
  * Adding Rules-Requires-Root field.
  * Dropping obsolete build-depends on dh-systemd.
  * Updating to standards version 4.1.3.
  * Updating to debhelper compat 11.
  * Adding initial Russian debconf translations from Lev Lamberov
    <dogsleg@debian.org> (Closes: #883415).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 19 Jan 2018 10:54:05 +0100

open-infrastructure-container-tools (20171101-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171101.
  * Adding initial German debconf translations from Markus Hiereth
    <markus.hiereth@freenet.de> (Closes: #851978).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Nov 2017 09:17:43 +0100

open-infrastructure-container-tools (20171013-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171013.
  * Updating to standards version 4.1.1.
  * Dropping net-tools depends, not needed anymore.
  * Dropping bridge-utils suggests, not needed anymore.
  * Adding updated Portuguese debconf translation from Rui Branco
    <ruipb@debianpt.org> (Closes: #870533).
  * Adding updated Dutch debconf translation from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #874281).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 13 Oct 2017 15:17:33 +0200

open-infrastructure-container-tools (20170726-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20170726.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 28 Jul 2017 13:59:45 +0200

open-infrastructure-container-tools (20170722-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20170722.
  * Adding news entries for backwards incompatible changes of upstream
    version 20170722.


## open-infrastructure-compute-tools 20190301-lts2

=== debian/changelog ===
open-infrastructure-compute-tools (20190301-lts2-1~deb10u1) buster; urgency=medium

  * Uploading to buster.
  * Merging upstream version 20190301-lts2:
    - Fix start of container by altering the systemd service file.
      This fix workarounds a missing/wrong condition in the start script
      which leads to systemd-nspawn beeing called twice. The seconds call to
      systemd-nspawn fails because the container is already running. Systemd
      then killed the container.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 13 Aug 2019 00:47:36 +0200

=== debian/control ===
Source: open-infrastructure-compute-tools
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 asciidoc,
 debhelper-compat (= 12),
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://open-infrastructure.net/software/compute-tools
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools

Package: open-infrastructure-container-tools
Section: admin
Architecture: all
Depends:
 dbus,
 ifupdown,
 systemd-container,
 ${misc:Depends},
Recommends:
 bash-completion,
 debootstrap | mmdebstrap,
 logrotate,
 procps,
 pv,
 sudo,
Suggests:
 irker,
 plzip,
 python3-nwdiag | python-nwdiag,
Provides:
 container-tools,
Enhances:
 systemd-container,
Description: manage systemd-nspawn containers
 A Linux container is an operating-system-level virtualization environment for
 running multiple isolated Linux systems (containers) on a single Linux control
 host.
 .
 container-tools provides the system integration for managing containers using
 systemd-nspawn.

## open-infrastructure-compute-tools 20190811

=== Makefile ===
--- 
+++ 
@@ -68,7 +68,7 @@
 	cp -r lib/* $(DESTDIR)/usr/lib/$(PROJECT)
 
 	mkdir -p $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
-	cp -r VERSION.txt $(DESTDIR)/usr/share/$(PROJECT)/${PROGRAM}
+	cp -r VERSION.txt $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
 	cp -r share/config share/hooks share/scripts $(DESTDIR)/usr/share/$(PROJECT)/$(PROGRAM)
 
 	mkdir -p $(DESTDIR)/usr/share/bash-completion/completions

=== debian/changelog ===
open-infrastructure-compute-tools (20190811-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190811.
  * Removing debconf-includes.patch, included upstream.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Aug 2019 10:56:26 +0200

open-infrastructure-compute-tools (20190413-4) sid; urgency=medium

  * Uploading to sid.
  * Adding updated French debconf translations from Jean-Pierre Giraud
    <jenapierregiraud75@free.fr> (Closes: #930706).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 10 Aug 2019 14:08:56 +0200

open-infrastructure-compute-tools (20190413-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.4.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 16 Jul 2019 18:49:57 +0200

open-infrastructure-compute-tools (20190413-2) experimental; urgency=medium

  * Uploading to experimental.
  * Adding patch to correcting whitespace error in include handling that
    broke debconf container create script.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 13 Apr 2019 10:30:34 +0200

open-infrastructure-compute-tools (20190413-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20190413.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 13 Apr 2019 05:51:10 +0200

open-infrastructure-compute-tools (20190319-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20190319.
  * Updating news entry with backwarts incompatible changes for this
    upstream version.
  * Adding removal of previously forgotten mmdebstrap alternative to not
    leave cruft behind after package removal, thanks to Andreas Beckmann
    <anbe@debian.org> (Closes: #924092).
  * Removing leftover 'FIXME' in a previous changelog entry.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 19 Mar 2019 21:01:07 +0100

open-infrastructure-compute-tools (20190304-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20190304.
  * Updating packaging for curl script readding.
  * Adding updated French debconf translations, thanks to Jean-Pierre
    Giraud <jean-pierregiraud@neuf.fr> (Closes: #909641).
  * Adding updated Dutch debconf translations, thanks to Frans
    Spiesschaert <Frans.Spiesschaert@yucom.be> (Closes: #923278, #923549).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 05 Mar 2019 12:27:53 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libxml2-utils,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://open-infrastructure.net/software/compute-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
@@ -25,6 +25,7 @@
  ${misc:Depends},
 Recommends:
  bash-completion,
+ curl,
  debootstrap | mmdebstrap,
  logrotate,
  procps,

## open-infrastructure-compute-tools 20200121

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2020 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #

=== share/man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile
 
-# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2020 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #
@@ -20,7 +20,7 @@
 # Depends: asciidoc dblatex docbook-xsl libxml2-utils source-highlight
 
 A2X = a2x \
-	--asciidoc-opts "-a revdate=$(shell cat ../../VERSION.txt)" \
+	--asciidoc-opts="-a revdate=$(shell cat ../../VERSION.txt)" \
 	--doctype=manpage
 
 SHELL := sh -e

=== debian/changelog ===
open-infrastructure-compute-tools (20200121-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20200121.
  * Removing ftbfs-asciidoc.patch, included upstream.
  * Using codenames as upload targets in changelog.
  * Updating years in copyright file for 2020.
  * Updating to standards version 4.5.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 21 Jan 2020 21:29:02 +0100

open-infrastructure-compute-tools (20191104-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20191104.
  * Updating to standards version 4.4.1.
  * Adding patch to fix FTBFS with newer asciidoc versions.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Nov 2019 07:07:02 +0100

open-infrastructure-compute-tools (20190301-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190301.
  * Updating packaging for curl script removal.
  * Adding mmdebstrap to alternative handling.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Mar 2019 11:32:37 +0100

open-infrastructure-compute-tools (20190222-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190222.
  * Updating news entry with backwarts incompatible changes for this
    upstream version.
  * Updating paths in packaging for new upstream version.
  * Updating copyright file for new upstream.
  * Updating watch file for new upstream.
  * Updating upstream signing-key.
  * Removing pre-buster alternative depends in control, not needed
    anymore.
  * Removing source local-options, not needed anymore.
  * Adding upload target note in previous changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 23 Feb 2019 17:09:11 +0100

open-infrastructure-compute-tools (20180825-3) sid; urgency=medium

  * Uploading to sid.
  * Adding enhances for systemd-container.
  * Updating to standards version 4.3.0.
  * Updating vcs fields.
  * Updating year in copyright for 2019.
  * Updating to debhelper 12.
  * Using spaces instead of tabs in NEWS file.
  * Using build-depends to specify debhelper compatibility.
  * Repeating Section for binary packages in control.
  * Renaming source package to open-infrastructure-compute-tools for
    consistency and future-proofing.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 02 Feb 2019 10:06:16 +0100

open-infrastructure-container-tools (20180825-2) sid; urgency=medium

  * Uploading to sid.
  * Updating German debconf translations, thanks to Markus Hiereth
    <translation@hiereth.de> (Closes: #905709).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Aug 2018 11:14:04 +0200

open-infrastructure-container-tools (20180825-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180825.
  * Updating to standards version 4.2.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 30 Aug 2018 15:05:03 +0200

open-infrastructure-container-tools (20180527-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180527.
  * Fixing variable style in postrm script.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 27 May 2018 20:58:29 +0200

open-infrastructure-container-tools (20180503-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180503.
  * Updating to standards-version 4.1.4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 03 May 2018 12:49:45 +0200

open-infrastructure-container-tools (20180218-2) sid; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file.
  * Also adding --no-restart-after-upgrade to dh_installsystemd to avoid
    containers being rebooted on package upgrades (default changed with
    debhelper 11).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 12 Mar 2018 16:12:17 +0100

open-infrastructure-container-tools (20180218-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180218.
  * Updating rules to use dh_installsystemd instead of dh_systemd_start.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 18 Feb 2018 16:13:14 +0100

open-infrastructure-container-tools (20180118-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20180118.
  * Adding Rules-Requires-Root field.
  * Dropping obsolete build-depends on dh-systemd.
  * Updating to standards version 4.1.3.
  * Updating to debhelper compat 11.
  * Adding initial Russian debconf translations from Lev Lamberov
    <dogsleg@debian.org> (Closes: #883415).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 19 Jan 2018 10:54:05 +0100

open-infrastructure-container-tools (20171101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171101.
  * Adding initial German debconf translations from Markus Hiereth
    <markus.hiereth@freenet.de> (Closes: #851978).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Nov 2017 09:17:43 +0100

open-infrastructure-container-tools (20171013-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20171013.
  * Updating to standards version 4.1.1.
  * Dropping net-tools depends, not needed anymore.
  * Dropping bridge-utils suggests, not needed anymore.
  * Adding updated Portuguese debconf translation from Rui Branco
    <ruipb@debianpt.org> (Closes: #870533).
  * Adding updated Dutch debconf translation from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #874281).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 13 Oct 2017 15:17:33 +0200

open-infrastructure-container-tools (20170726-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20170726.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 28 Jul 2017 13:59:45 +0200

open-infrastructure-container-tools (20170722-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20170722.
  * Adding news entries for backwards incompatible changes of upstream


=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libxml2-utils,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://open-infrastructure.net/software/compute-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := container-tools

%:
	dh ${@}

override_dh_auto_build:
	# disabled

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-infrastructure-$(PACKAGE)

	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/*/LICENSE.txt

	mv debian/open-infrastructure-$(PACKAGE)/usr/share/doc/* debian/open-infrastructure-$(PACKAGE)/usr/share/doc/open-infrastructure-$(PACKAGE)

override_dh_installsystemd:
	dh_installsystemd --no-restart-after-upgrade --no-start --no-stop-on-upgrade

## open-infrastructure-compute-tools 20210101

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2014-2020 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #

=== share/man/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile
 
-# Copyright (C) 2014-2020 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # SPDX-License-Identifier: GPL-3.0+
 #

=== debian/changelog ===
open-infrastructure-compute-tools (20210101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210101.
  * Updating year in copyright for 2021.
  * Updating to standards version 4.5.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 09 Feb 2021 17:20:22 +0100

open-infrastructure-compute-tools (20201030-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20201030.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 30 Oct 2020 05:13:55 +0100

open-infrastructure-compute-tools (20200830-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20200830.
  * Using execute_after targets in rules to be explicit what we're doing.
  * Updating to debhelper version 13.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 30 Aug 2020 15:48:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  asciidoc,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
  xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://open-infrastructure.net/software/compute-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/open-infrastructure-$(PACKAGE)
 
+execute_after_dh_auto_install:
 	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/*/CHANGELOG.txt
 	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/*/LICENSE.txt

## open-infrastructure-compute-tools 20211231

=== Makefile ===
# Open Infrastructure: compute-tools

# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

SHELL := sh -e

PROJECT = open-infrastructure
SOFTWARE = compute-tools
PROGRAM = container

SCRIPTS = bin/* libexec/*/*

all: build

test:
	@echo -n "Checking for syntax errors with sh... "
	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done
	@echo " done."

	@echo -n "Checking for bashisms... "
	@if [ -x /usr/bin/checkbashisms ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
	else \
		echo "Note: devscripts not installed, skipping checkbashisms."; \
	fi
	@echo " done."

	# FIXME: fail hard on shellcheck once all issues are fixed
	@echo -n "Checking with shellcheck... "
	@if [ -x /usr/bin/shellcheck ]; \
	then \
		for SCRIPT in $(SCRIPTS); \
		do \
			shellcheck $${SCRIPT} || true; \
			echo -n "."; \
		done; \
	else \
		echo "Note: shellcheck not installed, skipping shellcheck."; \
	fi
	@echo " done."

build: share/man/*.rst
	$(MAKE) -C share/man

	sed -n '/^===/,$$p' share/man/$(SOFTWARE).7.rst > README.txt

install: build
	mkdir -p $(DESTDIR)/etc/$(SOFTWARE)/config
	mkdir -p $(DESTDIR)/etc/$(SOFTWARE)/debconf
	mkdir -p $(DESTDIR)/etc/$(SOFTWARE)/hooks
	mkdir -p $(DESTDIR)/etc/$(SOFTWARE)/keys
	mkdir -p $(DESTDIR)/etc/${SOFTWARE}/container.conf.d

	mkdir -p $(DESTDIR)/usr/bin
	cp -r bin/* $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/usr/libexec
	cp -r libexec/* $(DESTDIR)/usr/libexec

	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)
	cp -r VERSION.txt $(DESTDIR)/usr/share/$(SOFTWARE)
	cp -r share/config share/hooks share/keys share/build-scripts share/get-scripts $(DESTDIR)/usr/share/$(SOFTWARE)

	mkdir -p $(DESTDIR)/usr/share/bash-completion/completions
	cp -r share/bash-completion/* $(DESTDIR)/usr/share/bash-completion/completions

	mkdir -p $(DESTDIR)/etc/logrotate.d
	cp -r share/logrotate/* $(DESTDIR)/etc/logrotate.d

	mkdir -p $(DESTDIR)/etc/needrestart/conf.d
	cp -r share/needrestart/* $(DESTDIR)/etc/needrestart/conf.d

	mkdir -p $(DESTDIR)/etc/sysctl.d
	cp -r share/procps/* $(DESTDIR)/etc/sysctl.d

	mkdir -p $(DESTDIR)/etc/sudoers.d
	cp -r share/sudo/* $(DESTDIR)/etc/sudoers.d
	chmod 0440 $(DESTDIR)/etc/sudoers.d/*

	mkdir -p $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	cp -r CHANGELOG.txt LICENSE.txt README.txt share/doc/* $(DESTDIR)/usr/share/doc/$(SOFTWARE)

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

	ln -sf container $(DESTDIR)/usr/bin/cnt
	ln -sf container.1 $(DESTDIR)/usr/share/man/man1/cnt.1
	ln -sf container-shell $(DESTDIR)/usr/bin/cntsh
	ln -sf container-shell.1 $(DESTDIR)/usr/share/man/man1/cntsh.1
	ln -sf container $(DESTDIR)/usr/share/bash-completion/completions/cnt

	ln -sf debconf $(DESTDIR)/usr/share/$(SOFTWARE)/build-scripts/debian
	ln -sf debconf.d $(DESTDIR)/usr/share/$(SOFTWARE)/build-scripts/debian.d
	ln -sf container-build-debconf.1 $(DESTDIR)/usr/share/man/man1/container-build-debian.1
	ln -sf debconf $(DESTDIR)/usr/share/$(SOFTWARE)/build-scripts/progress-linux
	ln -sf debconf.d $(DESTDIR)/usr/share/$(SOFTWARE)/build-scripts/progress-linux.d
	ln -sf container-build-debconf.1 $(DESTDIR)/usr/share/man/man1/container-build-progress-linux.1
	ln -sf debootstrap $(DESTDIR)/usr/share/$(SOFTWARE)/build-scripts/mmdebstrap
	ln -sf container-build-debootstrap.1 $(DESTDIR)/usr/share/man/man1/container-build-mmdebstrap.1

	ln -sf build $(DESTDIR)/usr/libexec/$(PROGRAM)/b
	ln -sf get $(DESTDIR)/usr/libexec/$(PROGRAM)/g
	ln -sf list $(DESTDIR)/usr/libexec/$(PROGRAM)/ls
	ln -sf move $(DESTDIR)/usr/libexec/$(PROGRAM)/mv
	ln -sf remove $(DESTDIR)/usr/libexec/$(PROGRAM)/rm
	ln -sf restart $(DESTDIR)/usr/libexec/$(PROGRAM)/rs
	ln -sf start $(DESTDIR)/usr/libexec/$(PROGRAM)/s
	ln -sf status $(DESTDIR)/usr/libexec/$(PROGRAM)/st
	ln -sf stop $(DESTDIR)/usr/libexec/$(PROGRAM)/t
	ln -sf update $(DESTDIR)/usr/libexec/$(PROGRAM)/u

	mkdir -p $(DESTDIR)/lib/systemd/system
	cp -r share/systemd/* $(DESTDIR)/lib/systemd/system

	mkdir -p $(DESTDIR)/var/log/$(SOFTWARE)

uninstall:
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/var/log/$(SOFTWARE) || true

	for FILE in share/systemd/*; \
	do \
		rm -f $(DESTDIR)/lib/systemd/system/$$(basename $${FILE}); \
	done

	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -f $(DESTDIR)/usr/bin/cnt
	rm -f $(DESTDIR)/usr/share/man/man1/cnt.1
	rm -f $(DESTDIR)/usr/bin/cntsh
	rm -f $(DESTDIR)/usr/share/man/man1/cntsh.1
	rm -f $(DESTDIR)/usr/share/bash-completion/completions/cnt
	rm -f $(DESTDIR)/usr/share/man/man1/container-build-debian.1
	rm -f $(DESTDIR)/usr/share/man/man1/container-build-progress-linux.1
	rm -f $(DESTDIR)/usr/share/man/man1/container-build-mmdebstrap.1

	for FILE in share/sudo/*; \
	do \
		rm -f $(DESTDIR)/etc/sudoers.d/$$(basename $${FILE}); \
	done

	for FILE in share/procps/*; \
	do \
		rm -f $(DESTDIR)/etc/sysctl.d/$$(basename $${FILE}); \
	done

	for FILE in share/needrestart/*; \
	do \
		rm -f $(DESTDIR)/etc/needrestart/conf.d/$$(basename $${FILE}); \
	done

	for FILE in share/logrotate/*; \
	do \
		rm -f $(DESTDIR)/etc/logrotate.d/$$(basename $${FILE}); \
	done

	for FILE in share/bash-completion/*; \
	do \
		rm -f $(DESTDIR)/usr/share/bash-completion/completions/$$(basename $${FILE}); \
	done

	rm -rf $(DESTDIR)/usr/share/doc/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/doc || true

	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share || true

	rm -rf $(DESTDIR)/usr/libexec/$(PROGRAM)
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/libexec || true

	for FILE in bin/*; \
	do \
		rm -f $(DESTDIR)/usr/bin/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/bin || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(SOFTWARE)/config || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(SOFTWARE)/debconf || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(SOFTWARE)/hooks || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(SOFTWARE)/keys || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(SOFTWARE)/container.conf.d || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(SOFTWARE) || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc || true

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR) || true

clean:
	$(MAKE) -C share/man clean

	rm -f README.txt

distclean:

reinstall: uninstall install

=== share/man/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile
+# Open Infrastructure: compute-tools
 
 # Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
@@ -15,30 +15,45 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
 
-# Depends: asciidoc dblatex docbook-xsl libxml2-utils source-highlight
+# Depends: python3-docutils
 
-A2X = a2x \
-	--asciidoc-opts="-a revdate=$(shell cat ../../VERSION.txt)" \
-	--doctype=manpage
+RST2MAN = rst2man \
+	--no-datestamp \
+	--no-generator \
+	--strict \
+	--strip-comments \
+	--tab-width=4 \
+	--verbose
+
+VERSION := $(shell cat ../../VERSION.txt)
 
 SHELL := sh -e
 
 all: build
 
-clean:
-	rm -f *.[0-9]
-	rm -f *.xml
-
 build: man
 
 rebuild: clean build
 
-man: *.txt
-	for FILE in *.txt; \
+man: man.in *.rst
+	@echo -n "Creating manpages... "
+
+	@for FILE in *.rst; \
 	do \
-		$(A2X) --format=manpage $${FILE}; \
+		cp man.in $$(basename $${FILE} .rst); \
+		$(RST2MAN) $${FILE} | \
+		sed	-e '/^.\\" Man page generated/d' \
+			-e '/^.\\" Generated by/d' \
+			-e "s|^\(.TH .*\) \(\"\" \"\"\) |\1 $${VERSION} compute-tools |" \
+		>> $$(basename $${FILE} .rst); \
+		echo -n "."; \
 	done
 
+	@echo " done."
+
+clean:
+	rm -f *.[0-9]
+
 .PHONY: all clean build rebuild man

=== debian/changelog ===
open-infrastructure-compute-tools (20211231-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:14:26 +0000

open-infrastructure-compute-tools (20211231-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211231.
  * Moving to dh_installalternatives.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Dec 2021 06:20:12 +0100

open-infrastructure-compute-tools (20211117-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211117.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 17 Nov 2021 03:12:39 +0100

open-infrastructure-compute-tools (20211116-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211116.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 16 Nov 2021 07:00:59 +0100

open-infrastructure-compute-tools (20211115-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211115.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 15 Nov 2021 22:40:57 +0100

open-infrastructure-compute-tools (20211113-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211113.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 13 Nov 2021 08:01:55 +0100

open-infrastructure-compute-tools (20211103-2) sid; urgency=medium

  * Uploading to sid.
  * Adding upgrade-handling for logfiles from buster to bullseye and
    newer.
  * Adding upgrade-handling for hooks from buster to bullseye and newer.
  * Moving upgrade handling in postinst to its own function.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 07 Nov 2021 18:52:51 +0100

open-infrastructure-compute-tools (20211103-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211103.
  * Removing needrestart directory on purge.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 03 Nov 2021 11:03:50 +0100

open-infrastructure-compute-tools (20211102-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211102.
  * Replacing which with command in maintainer scripts.
  * Adding upgrade-handling buster to bullseye and newer.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 02 Nov 2021 18:13:52 +0100

open-infrastructure-compute-tools (20210804-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.
  * Avoiding error when trying to creating directories ontop of symlinks
    when moving directories.
  * Adding updated German debconf translations from Markus Hiereth
    <translation@hiereth.de> (Closes: #993474).
  * Adding updated Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #994140).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 27 Oct 2021 14:42:00 +0200

open-infrastructure-compute-tools (20210804-2) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 16 Aug 2021 04:33:13 +0200

open-infrastructure-compute-tools (20210804-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210804.
  * Updating debconf handling to honor container.conf.d files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Aug 2021 05:26:06 +0200

open-infrastructure-compute-tools (20210727-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210727.
  * Adding backward incompatible changes for the previous upstream release
    to news file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 27 Jul 2021 02:59:04 +0200

open-infrastructure-compute-tools (20210726-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210726.
  * Updating packaging for container create to container build command
    rename.
  * Refreshing debconf files.
  * Correcting 'directory-is-empty' check in postinst.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 26 Jul 2021 05:57:43 +0200

open-infrastructure-compute-tools (20210725-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210725.
  * Updating build-depends for moving from asciidoc to rst for manpage
    generation.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 25 Jul 2021 08:03:04 +0200

open-infrastructure-compute-tools (20210724-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210724.
  * Updating news file for previous upload.
  * Marking create script choices in debconf as untranslatable (as it
    should be).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jul 2021 20:49:05 +0200

open-infrastructure-compute-tools (20210630-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210630.
  * Reverting openvswitch recommends (openvswitch usage is not ready
    here).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 30 Jun 2021 09:02:35 +0200

open-infrastructure-compute-tools (20210629-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210629.
  * Updating recommends for openvswitch migration.
  * Updating NEWS for new upstream version.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 29 Jun 2021 14:15:52 +0200

open-infrastructure-compute-tools (20210628-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210628:
    - Using dpkg selection to check package availability in debconf
      container create script, rather than to rely on dpkg internal
      files (Closes: #944982).
  * Using full distributor name for progress-linux when matching
    lsb_release output in debconf handling.
  * Removing conditional default handling for suggest container create


=== debian/control ===
--- 
+++ 
@@ -3,14 +3,11 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
- asciidoc,
+ debhelper (>= 13.1~),
  debhelper-compat (= 13),
- docbook-xml,
- docbook-xsl,
- libxml2-utils,
- xsltproc,
+ python3-docutils,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://open-infrastructure.net/software/compute-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-compute-tools
@@ -20,13 +17,13 @@
 Architecture: all
 Depends:
  dbus,
- ifupdown,
  systemd-container,
  ${misc:Depends},
 Recommends:
  bash-completion,
  curl,
  debootstrap | mmdebstrap,
+ ifupdown,
  logrotate,
  procps,
  pv,

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := open-infrastructure-container-tools

%:
	dh ${@}

override_dh_auto_build:
	# disabled

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/$(PACKAGE)

execute_after_dh_auto_install:
	rm -f debian/$(PACKAGE)/usr/share/doc/*/CHANGELOG.txt
	rm -f debian/$(PACKAGE)/usr/share/doc/*/LICENSE.txt

	mv debian/$(PACKAGE)/usr/share/doc/* debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)

override_dh_installsystemd:
	dh_installsystemd --no-restart-after-upgrade --no-start --no-stop-on-upgrade

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://get.open-infrastructure.net/software/compute-tools/upstream/compute-tools-(.+)\.tar\.lz

## open-infrastructure-compute-tools 20220430

=== debian/changelog ===
open-infrastructure-compute-tools (20220430-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20220430.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 01 May 2022 00:11:43 +0200

open-infrastructure-compute-tools (20220428-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20220428.
  * Updating packaging copyright for 2022.
  * Adding note about breaking changes (systemd-networkd instead of
    ifupdown) in news file.
  * Removing ifupdown from recommends.
  * Switching preference from debootstrap to mmdebstrap.
  * Adding updated Spanish debconf translations, thanks to Camaleón
    <noelamac@gmail.com> (Closes: #1003296, #1008530).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 28 Apr 2022 12:59:03 +0200

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,7 @@
 Recommends:
  bash-completion,
  curl,
- debootstrap | mmdebstrap,
- ifupdown,
+ mmdebstrap | debootstrap,
  logrotate,
  procps,
  pv,
